Show / Hide Table of Contents

# Interface IAttachment

Represents a message attachment found in a IUserMessage.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IAttachment

### Properties

| Improve this Doc View Source

#### Filename

Gets the filename of this attachment.

##### Declaration

    string Filename { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the full filename of this attachment (e.g. `textFile.txt`).

| Improve this Doc View Source

#### Height

Gets the height of this attachment.

##### Declaration

    int? Height { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | The height of this attachment if it is a picture; otherwise `null`.

| Improve this Doc View Source

#### Id

Gets the ID of this attachment.

##### Declaration

    ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A snowflake ID associated with this attachment.

| Improve this Doc View Source

#### ProxyUrl

Gets a proxied URL of this attachment.

##### Declaration

    string ProxyUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the proxied URL of this attachment.

| Improve this Doc View Source

#### Size

Gets the file size of this attachment.

##### Declaration

    int Size { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | The size of this attachment in bytes.

| Improve this Doc View Source

#### Url

Gets the URL of this attachment.

##### Declaration

    string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL of this attachment.

| Improve this Doc View Source

#### Width

Gets the width of this attachment.

##### Declaration

    int? Width { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | The width of this attachment if it is a picture; otherwise `null`.

### Extension Methods

AttachmentExtensions.IsSpoiler(IAttachment)